 /* --------------------
 * Name: Archive Item
 * Desc: Archive item shows single listing
 * Created: 18.01.2026
 * Last Edited: 07.02.2026
 * --------------------
 */
 .gd-card {
	position:relative;
    display: grid;
    grid-template-columns: 180px 1fr 160px;
	grid-template-rows: 130px 20px;
	grid-template-areas:
	    "image content price"
	    "rating data data"
	;
    gap: 20px;
	padding-left: 15px;
	padding-right: 15px;
    padding-bottom: 20px;
	padding-top: 20px;
    background: #FFFFFF;
    border-radius: 14px;
    box-shadow: 0 8px 24px rgba(0,0,0,.08);
    margin-bottom: 20px;
	cursor: pointer;
	z-index:1;

	/*smooth generator*/
    transition: 
        transform .15s ease,
        box-shadow .15s ease,
        background-color .15s ease;
}

.gd-card__link {
    position: absolute;
    inset: 0;
    z-index: 5;
}

.gd-card:hover {
    transform: scale(1.02);
    box-shadow: 0 12px 32px rgba(0,0,0,.16);
    background-color: #fdfdfd;
}

.gd-card a:not(.gd-card__link) {
    position: relative;
    z-index: 10;
}

.gd-card__image img {
    border-radius: 12px !important;
    object-fit: cover !important;
    width: 100% !important;
    height: 140px !important;
	grid-area: image !important;
}

.gd-card__content {
	grid-area: content;
}

.gd-card__rating {
	grid-area: rating;
}

.gd-card__title {
    font-size: 28px !important;
    font-weight: 700 !important;
    color: #2e5f2e !important;
    text-decoration: none !important;
	font-family:Times New Roman !important;
}

.gd-card__excerpt {
    color: #555;
    margin: 6px 0;
}

.gd-card__location {
    font-weight: 600;
	float: left;
}

.float-left {
	float: left;
}

.gd-card__data {
	grid-area: data;
}

.gd-card__contact {
    font-weight: 600;
	float: right;
}

.gd-card__price {
    font-size: 22px;
    font-weight: 700;
    color: #1b5e20;
    text-align: right;
	grid-area: price;
}

.gd-card__title,
.gd-card__location,
.gd-card__contact {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.gd-card__excerpt {
	display: -webkit-box;
        -webkit-line-clamp: 4;   /*line count*/
        -webkit-box-orient: vertical;
    overflow: hidden;
}